io.etcd.jetcd.api

## Class MaintenanceGrpc.MaintenanceImplBase

- java.lang.Object
- - io.etcd.jetcd.api.MaintenanceGrpc.MaintenanceImplBase

All Implemented Interfaces:
  io.grpc.BindableService

Enclosing class:
  MaintenanceGrpc

    public abstract static class MaintenanceGrpc.MaintenanceImplBase
    extends Object
    implements io.grpc.BindableService

### Constructor Summary

Constructors
Constructor and Description
`MaintenanceImplBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `alarm(AlarmRequest request, io.grpc.stub.StreamObserver<AlarmResponse> responseObserver)` Alarm activates, deactivates, and queries alarms regarding cluster health.
`io.grpc.ServerServiceDefinition` `bindService()`
`void` `defragment(DefragmentRequest request, io.grpc.stub.StreamObserver<DefragmentResponse> responseObserver)` Defragment defragments a member's backend database to recover storage space.
`void` `hash(HashRequest request, io.grpc.stub.StreamObserver<HashResponse> responseObserver)` Hash returns the hash of the local KV state for consistency checking purpose.
`void` `hashKV(HashKVRequest request, io.grpc.stub.StreamObserver<HashKVResponse> responseObserver)` HashKV computes the hash of all MVCC keys up to a given revision.
`void` `moveLeader(MoveLeaderRequest request, io.grpc.stub.StreamObserver<MoveLeaderResponse> responseObserver)` MoveLeader requests current leader node to transfer its leadership to transferee.
`void` `snapshot(SnapshotRequest request, io.grpc.stub.StreamObserver<SnapshotResponse> responseObserver)` Snapshot sends a snapshot of the entire backend from a member over a stream to a client.
`void` `status(StatusRequest request, io.grpc.stub.StreamObserver<StatusResponse> responseObserver)` Status gets the status of the member.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaintenanceImplBase

    public MaintenanceImplBase()

### Method Detail

#### alarm

    public void alarm(AlarmRequest request,
                      io.grpc.stub.StreamObserver<AlarmResponse> responseObserver)

     Alarm activates, deactivates, and queries alarms regarding cluster health.

#### status

    public void status(StatusRequest request,
                       io.grpc.stub.StreamObserver<StatusResponse> responseObserver)

     Status gets the status of the member.

#### defragment

    public void defragment(DefragmentRequest request,
                           io.grpc.stub.StreamObserver<DefragmentResponse> responseObserver)

     Defragment defragments a member's backend database to recover storage space.

#### hash

    public void hash(HashRequest request,
                     io.grpc.stub.StreamObserver<HashResponse> responseObserver)

     Hash returns the hash of the local KV state for consistency checking purpose.
     This is designed for testing; do not use this in production when there
     are ongoing transactions.

#### hashKV

    public void hashKV(HashKVRequest request,
                       io.grpc.stub.StreamObserver<HashKVResponse> responseObserver)

     HashKV computes the hash of all MVCC keys up to a given revision.

#### snapshot

    public void snapshot(SnapshotRequest request,
                         io.grpc.stub.StreamObserver<SnapshotResponse> responseObserver)

     Snapshot sends a snapshot of the entire backend from a member over a stream to a client.

#### moveLeader

    public void moveLeader(MoveLeaderRequest request,
                           io.grpc.stub.StreamObserver<MoveLeaderResponse> responseObserver)

     MoveLeader requests current leader node to transfer its leadership to transferee.

#### bindService

    public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`